Package org.eclipse.jface.viewers

## Class CheckboxCellEditor

- java.lang.Object
- - org.eclipse.jface.viewers.CellEditor
  - - org.eclipse.jface.viewers.CheckboxCellEditor

    public class CheckboxCellEditor
    extends CellEditor

A cell editor that manages a checkbox. The cell editor's value is a boolean.

This class may be instantiated; it is not intended to be subclassed.

Note that this implementation simply fakes it and does does not create any new controls. The mere activation of this editor means that the value of the check box is being toggled by the end users; the listener method `applyEditorValue` is immediately called to signal the change.

Restriction:
  This class is not intended to be subclassed by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor

`CellEditor.LayoutData`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.CellEditor

`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

### Constructor Summary

Constructors
`CheckboxCellEditor()` Creates a new checkbox cell editor with no control
`CheckboxCellEditor​(Composite parent)` Creates a new checkbox cell editor parented under the given control.
`CheckboxCellEditor​(Composite parent, int style)` Creates a new checkbox cell editor parented under the given control.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()` The `CheckboxCellEditor` implementation of this `CellEditor` framework method simulates the toggling of the checkbox control and notifies listeners with `ICellEditorListener.applyEditorValue`.
`void` `activate​(ColumnViewerEditorActivationEvent activationEvent)` Activate the editor but also inform the editor which event triggered its activation.
`protected Control` `createControl​(Composite parent)` The `CheckboxCellEditor` implementation of this `CellEditor` framework method does nothing and returns `null`.
`protected Object` `doGetValue()` The `CheckboxCellEditor` implementation of this `CellEditor` framework method returns the checkbox setting wrapped as a `Boolean`.
`protected void` `doSetFocus()` Sets the focus to the cell editor's control.
`protected void` `doSetValue​(Object value)` The `CheckboxCellEditor` implementation of this `CellEditor` framework method accepts a value wrapped as a `Boolean`.

### Methods inherited from class org.eclipse.jface.viewers.CellEditor

`addListener, addPropertyChangeListener, create, deactivate, deactivate, dependsOnExternalFocusListener, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getDoubleClickTimeout, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCorrect, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, keyReleaseOccured, markDirty, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckboxCellEditor

    public CheckboxCellEditor()

Creates a new checkbox cell editor with no control

Since:
  2.1

#### CheckboxCellEditor

    public CheckboxCellEditor​(Composite parent)

Creates a new checkbox cell editor parented under the given control. The cell editor value is a boolean value, which is initially `false`. Initially, the cell editor has no cell validator.

Parameters:
  `parent` - the parent control

#### CheckboxCellEditor

    public CheckboxCellEditor​(Composite parent,
                              int style)

Creates a new checkbox cell editor parented under the given control. The cell editor value is a boolean value, which is initially `false`. Initially, the cell editor has no cell validator.

Parameters:
  `parent` - the parent control
  `style` - the style bits
Since:
  2.1

### Method Detail

#### activate

    public void activate()

The `CheckboxCellEditor` implementation of this `CellEditor` framework method simulates the toggling of the checkbox control and notifies listeners with `ICellEditorListener.applyEditorValue`.

Overrides:
  `activate` in class `CellEditor`

#### createControl

    protected Control createControl​(Composite parent)

The `CheckboxCellEditor` implementation of this `CellEditor` framework method does nothing and returns `null`.

Specified by:
  `createControl` in class `CellEditor`
Parameters:
  `parent` - the parent control
Returns:
  the new control, or `null` if this cell editor has no control

#### doGetValue

    protected Object doGetValue()

The `CheckboxCellEditor` implementation of this `CellEditor` framework method returns the checkbox setting wrapped as a `Boolean`.

Specified by:
  `doGetValue` in class `CellEditor`
Returns:
  the Boolean checkbox value
See Also:
  `CellEditor.getValue()`

#### doSetFocus

    protected void doSetFocus()

Description copied from class: `CellEditor`
Sets the focus to the cell editor's control.

This framework method must be implemented by concrete subclasses.

Specified by:
  `doSetFocus` in class `CellEditor`
See Also:
  `CellEditor.setFocus()`

#### doSetValue

    protected void doSetValue​(Object value)

The `CheckboxCellEditor` implementation of this `CellEditor` framework method accepts a value wrapped as a `Boolean`.

Specified by:
  `doSetValue` in class `CellEditor`
Parameters:
  `value` - a Boolean value
See Also:
  `CellEditor.setValue(java.lang.Object)`

#### activate

    public void activate​(ColumnViewerEditorActivationEvent activationEvent)

Description copied from class: `CellEditor`
Activate the editor but also inform the editor which event triggered its activation. The default implementation simply calls `CellEditor.activate()`

Overrides:
  `activate` in class `CellEditor`
Parameters:
  `activationEvent` - the editor activation event